Package: org.codehaus.groovy.grails.commons.metaclass

## [Groovy] Class MetaClassEnhancer

- org.codehaus.groovy.grails.commons.metaclass.MetaClassEnhancer

- Enhances one or many MetaClasses with the given API methods provided by the super class BaseApiProvider.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BaseApiProvider` | `CONSTRUCTOR_METHOD, CTOR_GROOVY_METHOD, constructors, instanceMethods, staticMethods`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `enhance(groovy.lang.MetaClass metaClass)`
    `void` | `enhanceAll(java.lang.Iterable metaClasses)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BaseApiProvider` | `addApi`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### void enhance(groovy.lang.MetaClass metaClass)

    - #### void enhanceAll(java.lang.Iterable metaClasses)